Skip to main content
POST
cURL

Authorizations

X-Avala-Api-Key
string
header
required

API key for authentication. Generate one in Mission Control Settings > Security & Identity.

Path Parameters

slug
string
required
invitation_uid
string
required

Body

application/json
invited_email
string<email>
required
Required string length: 1 - 254
role
enum<string>

Role the user will have when they accept the invitation

Available options:
owner,
admin,
member
status
enum<string>
Available options:
pending,
accepted,
expired,
cancelled
expires_at
string<date-time>

Response

201 - application/json
invited_email
string<email>
required
Required string length: 1 - 254
uid
string<uuid>
read-only
organization_name
string
read-only
Minimum string length: 1
organization_slug
string
read-only
Minimum string length: 1
invited_by_username
string | null
read-only
Minimum string length: 1
role
enum<string>

Role the user will have when they accept the invitation

Available options:
owner,
admin,
member
status
enum<string>
Available options:
pending,
accepted,
expired,
cancelled
expires_at
string<date-time>
is_expired
boolean
read-only

Whether the invitation has expired

accept_url
string
read-only

URL for accepting the invitation

Shareable link for the invitation

created_at
string<date-time>
read-only